Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.step
Class BuildStep

    java.lang.Object
      com.pmease.quickbuild.step.Step
          com.pmease.quickbuild.step.BuildStep

All Implemented Interfaces:
  java.io.Serializable

public class BuildStep
extends Step

This class defines the step used to build code..

Author:
  robin shine
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.pmease.quickbuild.step.Step
`DEFAULT_NAME`

Constructor Summary
`BuildStep()`

Method Summary
`java.lang.String` | `getBuilderName()` OGNL: Choose the builder to build with.
`org.apache.tapestry.form.IPropertySelectionModel` | `getBuilderNameSelectionModel()`
`protected void` | `run(Build build)` Run this step in specified build context.
`void` | `setBuilderName(java.lang.String builderName)`

Methods inherited from class com.pmease.quickbuild.step.Step
`equals, getEditor, getName, getNameChoices, getParent, getStatus, getStepNecessaryCondition, getStepNecessaryConditionChoices, hashCode, isFailed, isIdle, isRunning, isSuccessful, setEditor, setName, setStatus, setStepNecessaryCondition, trigger, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuildStep

    public BuildStep()

Method Detail

### getBuilderName

    public java.lang.String getBuilderName()

  OGNL: Choose the builder to build with.

  Returns:

### setBuilderName

    public void setBuilderName(java.lang.String builderName)

### getBuilderNameSelectionModel

    public org.apache.tapestry.form.IPropertySelectionModel getBuilderNameSelectionModel()

### run

    protected void run(Build build)

  Description copied from class: `Step`
  Run this step in specified build context.

  Specified by:
    `run` in class `Step`
  Parameters:
    `build` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.